.task3 {

  .title {
    font-size: 50px;
    text-align: center;
    padding: 40px 0;
  }

  .tools {
    display: block;
    width: 100%;
    text-align: center;

    &__item {
      display: inline-block;
      margin: 0 20px;
      cursor: pointer;
      padding: 6px;

      &.active {
        border: 1px solid #000000;
      }

    }

  }

  .grid {

    &__title {
      font-size: 18px;
      text-align: center;
      padding: 40px 0 0;
      overflow: hidden;
      font-weight: 400;
      font-family: 'Arial', sans-serif;
    }

    &__block {
      width: 100%;
      margin: 20px 0;
      overflow: hidden;
    }

    &__item {
      width: calc((100% - 40%) / 4);
      display: inline-block;
      float: left;
      padding: 10px 0;
      border: 1px solid #000000;
      margin: 0 5%;
      text-align: center;
      cursor: pointer;

      &.active {
        background-color: #000000;
        color: #ffffff;
      }

    }

  }

  .color {

    &__title {
      font-size: 18px;
      text-align: center;
      padding: 30px 0 10px;
      display: block;
      font-weight: 400;
      overflow: hidden;
      font-family: 'Arial', sans-serif;
    }

    &__block {
      width: 100%;
      padding: 20px 0;
      overflow: hidden;
    }

    &__item {
      width: calc((100% - 80px) / 11);
      border: 1px solid #000;
      margin: 0 4px;
      display: inline-block;
      float: left;
      position: relative;
      cursor: pointer;

      &.active {

        &:before {
          content: 'Selected';
          display: block;
          position: absolute;
          top: -20px;
          left: calc(50% - 23px);
          font-size: 12px;
        }

      }

      &:first-child {
        margin-left: 0;
      }

      &:last-child {
        margin-right: 0;
      }

    }

  }

  .pixel {

    &__block {
      width: 500px;
      border: 4px solid #000000;
      margin: 20px auto;
      overflow: hidden;
      background-color: #ffffff;


      &-grid8 {

        .pixel__item {
          width: calc(100% / 8);
        }

      }

      &-grid12 {

        .pixel__item {
          width: calc(100% / 12);
        }

      }

      &-grid16 {

        .pixel__item {
          width: calc(100% / 16);
        }

      }

      &-grid32 {

        .pixel__item {
          width: calc(100% / 32);
        }

      }

    }

    &__item {
      display: inline-block;
      float: left;
      width: calc(100% / 8);
      margin: 0;
      border: 1px solid #000000;
      cursor: pointer;
    }

  }

  .preview {

    &__button {
      font-size: 40px;
      cursor: pointer;
      text-align: center;
      color: #000000;
    }

    &__block {
      display: none;

      &.active {
        display: block;
        text-align: center;
        width: 100%;
        height: 100%;
        position: fixed;
        left: 0;
        top: 0;
        background-color: rgba(0, 0, 0, .9);
      }

    }

    &__title {
      font-size: 40px;
      padding: 30px 0;
      text-align: center;
      color: #ffffff;
    }

    &__image {
      width: 400px;
      height: 400px;
      display: block;
      margin: 0 auto;
      overflow: hidden;

      canvas {
        width: 100%;
        height: 100%;
      }

    }

    &__download {
      font-size: 40px;
      padding: 50px 0;
      text-align: center;
      cursor: pointer;
      display: inline-block;
    }

    &__close {
      position: absolute;
      right: 20px;
      top: 20px;
      cursor: pointer;
    }

  }

}